curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/versions' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version": 1,
"fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
"published_by": "string",
"published_at": "2026-08-31T14:22:05Z",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z"
}
]
}
List brand config versions
Published config versions (without snapshots).
GET
/
v1
/
brands
/
{brand_id}
/
config
/
versions
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/versions' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version": 1,
"fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
"published_by": "string",
"published_at": "2026-08-31T14:22:05Z",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z"
}
]
}
Path parameters
string (uuid)
required
Query parameters
integer
Max items (capped at 1000).
integer
string
Filter by status.
Response
object
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Published config versions (without snapshots). |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/config/versions' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version": 1,
"fingerprint": "sha256:9f86d081884c7d659a2feaa0c55ad015",
"published_by": "string",
"published_at": "2026-08-31T14:22:05Z",
"is_active": true,
"created_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026